#pragma once
#include <vector>
#include <string>

const size_t IMAGE_WIDTH = 400;
const size_t IMAGE_PADDING = 20;
const size_t BAR_WIDTH = 30;
const size_t TEXT_HEIGHT = 20;
void svg_begin(double width, double height);
void svg_end();
void svg_text(double left, double baseline, const std::string& text);
void svg_rect(double x, double y, double width, double height,
              const std::string& stroke = "black", const std::string& fill = "black");
void show_histogram_svg(const std::vector<size_t>& bins);
